Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ASelect

All Superinterfaces:
  AAct, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ABuild, ACreateAgents, ACreateShapedAgents, ADerive, ADiffuse, AInitialize, ALoadAgents, ALoadShapedAgents, APerform, ARoot, ARule, ASchedule, AWatch

All Known Implementing Classes:
  ABuildImpl, ACreateAgentsImpl, ACreateShapedAgentsImpl, ADeriveImpl, ADiffuseImpl, AInitializeImpl, ALoadAgentsImpl, ALoadShapedAgentsImpl, APerformImpl, ARuleImpl, AScheduleImpl, ASelectImpl, AWatchImpl

    public interface ASelect

extends AAct, IID

A representation of the model object ' ASelect'.

The following features are supported:

- `Agent`
- `Space`
- `For`

See Also:
  `MetaABMActPackage.getASelect()`

Method Summary
`SAgent` | `getAgent()` Returns the value of the 'Agent' reference.
`ASelectTypes` | `getFor()` Returns the value of the 'For' attribute.
`SProjection` | `getSpace()` Returns the value of the 'Space' reference.
`void` | `setAgent(SAgent value)` Sets the value of the '`Agent`' reference.
`void` | `setFor(ASelectTypes value)` Sets the value of the '`For`' attribute.
`void` | `setSpace(SProjection value)` Sets the value of the '`Space`' reference.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAgent

    SAgent getAgent()

  Returns the value of the 'Agent' reference.

  If the meaning of the 'Agent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Agent' reference.
  See Also:
    `setAgent(SAgent)`, `MetaABMActPackage.getASelect_Agent()`

### setAgent

    void setAgent(SAgent value)

  Sets the value of the '`Agent`' reference.

  Parameters:
    `value` - the new value of the 'Agent' reference.
  See Also:
    `getAgent()`

### getSpace

    SProjection getSpace()

  Returns the value of the 'Space' reference.

  If the meaning of the 'Space' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Space' reference.
  See Also:
    `setSpace(SProjection)`, `MetaABMActPackage.getASelect_Space()`

### setSpace

    void setSpace(SProjection value)

  Sets the value of the '`Space`' reference.

  Parameters:
    `value` - the new value of the 'Space' reference.
  See Also:
    `getSpace()`

### getFor

    ASelectTypes getFor()

  Returns the value of the 'For' attribute. The literals are from the enumeration `ASelectTypes`.

  If the meaning of the 'For' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'For' attribute.
  See Also:
    `ASelectTypes`, `setFor(ASelectTypes)`, `MetaABMActPackage.getASelect_For()`

### setFor

    void setFor(ASelectTypes value)

  Sets the value of the '`For`' attribute.

  Parameters:
    `value` - the new value of the 'For' attribute.
  See Also:
    `ASelectTypes`, `getFor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD